using InfluxDB.Client;

namespace PARR.Core.Common.Interfaces
{
    /// <summary>
    /// Сервис взаимодействия с InfluxDb
    /// </summary>
    public interface IInfluxDbService
    {
        Task<T> QueryAsync<T>(Func<QueryApi, Task<T>> action, string token);

        bool Write(Action<WriteApi> action, string token);
    }
}
